Show / Hide Table of Contents

# Struct UIModule

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.UI

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct UIModule

### Fields

| Improve this Doc View Source

#### RaptureAtkModule

##### Declaration

    public RaptureAtkModule RaptureAtkModule

##### Field Value

Type | Description
--- | ---
RaptureAtkModule |

| Improve this Doc View Source

#### SystemConfig

##### Declaration

    public void *SystemConfig

##### Field Value

Type | Description
--- | ---
System.Void* |

| Improve this Doc View Source

#### unk

##### Declaration

    public void *unk

##### Field Value

Type | Description
--- | ---
System.Void* |

| Improve this Doc View Source

#### UnkObj1

##### Declaration

    public UIModule.Unk1 UnkObj1

##### Field Value

Type | Description
--- | ---
UIModule.Unk1 |

| Improve this Doc View Source

#### UnkObj2

##### Declaration

    public UIModule.Unk2 UnkObj2

##### Field Value

Type | Description
--- | ---
UIModule.Unk2 |

| Improve this Doc View Source

#### UnkObj3

##### Declaration

    public UIModule.Unk3 UnkObj3

##### Field Value

Type | Description
--- | ---
UIModule.Unk3 |

| Improve this Doc View Source

#### vfunc

##### Declaration

    public void **vfunc

##### Field Value

Type | Description
--- | ---
System.Void** |

| Improve this Doc View Source

#### vtbl

##### Declaration

    public void *vtbl

##### Field Value

Type | Description
--- | ---
System.Void* |

### Methods

| Improve this Doc View Source

#### ExecuteMainCommand(UInt32)

##### Declaration

    [VirtualFunction(171)]
    public void ExecuteMainCommand(uint command)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | command |

| Improve this Doc View Source

#### GetAcquaintanceModule()

##### Declaration

    [VirtualFunction(15)]
    public void *GetAcquaintanceModule()

##### Returns

Type | Description
--- | ---
System.Void* |

| Improve this Doc View Source

#### GetAddonConfig()

##### Declaration

    [VirtualFunction(19)]
    public void *GetAddonConfig()

##### Returns

Type | Description
--- | ---
System.Void* |

| Improve this Doc View Source

#### GetAgentModule()

##### Declaration

    [VirtualFunction(34)]
    public AgentModule*GetAgentModule()

##### Returns

Type | Description
--- | ---
AgentModule* |

| Improve this Doc View Source

#### GetConfigModule()

##### Declaration

    [VirtualFunction(18)]
    public ConfigModule*GetConfigModule()

##### Returns

Type | Description
--- | ---
ConfigModule* |

| Improve this Doc View Source

#### GetExcelModule()

##### Declaration

    [VirtualFunction(5)]
    public ExcelModuleInterface*GetExcelModule()

##### Returns

Type | Description
--- | ---
ExcelModuleInterface* |

| Improve this Doc View Source

#### GetFlagStatusModule()

##### Declaration

    [VirtualFunction(23)]
    public void *GetFlagStatusModule()

##### Returns

Type | Description
--- | ---
System.Void* |

| Improve this Doc View Source

#### GetItemFinderModule()

##### Declaration

    [VirtualFunction(17)]
    public void *GetItemFinderModule()

##### Returns

Type | Description
--- | ---
System.Void* |

| Improve this Doc View Source

#### GetItemOrderModule()

##### Declaration

    [VirtualFunction(16)]
    public void *GetItemOrderModule()

##### Returns

Type | Description
--- | ---
System.Void* |

| Improve this Doc View Source

#### GetLetterDataModule()

##### Declaration

    [VirtualFunction(21)]
    public void *GetLetterDataModule()

##### Returns

Type | Description
--- | ---
System.Void* |

| Improve this Doc View Source

#### GetLogFilterConfig()

##### Declaration

    [VirtualFunction(56)]
    public void *GetLogFilterConfig()

##### Returns

Type | Description
--- | ---
System.Void* |

| Improve this Doc View Source

#### GetPronounModule()

##### Declaration

    [VirtualFunction(10)]
    public PronounModule*GetPronounModule()

##### Returns

Type | Description
--- | ---
PronounModule* |

| Improve this Doc View Source

#### GetRaptureAtkModule()

##### Declaration

    [VirtualFunction(7)]
    public RaptureAtkModule*GetRaptureAtkModule()

##### Returns

Type | Description
--- | ---
RaptureAtkModule* |

| Improve this Doc View Source

#### GetRaptureGearsetModule()

##### Declaration

    [VirtualFunction(14)]
    public void *GetRaptureGearsetModule()

##### Returns

Type | Description
--- | ---
System.Void* |

| Improve this Doc View Source

#### GetRaptureHotbarModule()

##### Declaration

    [VirtualFunction(13)]
    public void *GetRaptureHotbarModule()

##### Returns

Type | Description
--- | ---
System.Void* |

| Improve this Doc View Source

#### GetRaptureLogModule()

##### Declaration

    [VirtualFunction(11)]
    public RaptureLogModule*GetRaptureLogModule()

##### Returns

Type | Description
--- | ---
RaptureLogModule* |

| Improve this Doc View Source

#### GetRaptureMacroModule()

##### Declaration

    [VirtualFunction(12)]
    public RaptureMacroModule*GetRaptureMacroModule()

##### Returns

Type | Description
--- | ---
RaptureMacroModule* |

| Improve this Doc View Source

#### GetRaptureShellModule()

##### Declaration

    [VirtualFunction(9)]
    public RaptureShellModule*GetRaptureShellModule()

##### Returns

Type | Description
--- | ---
RaptureShellModule* |

| Improve this Doc View Source

#### GetRaptureTeleportHistory()

##### Declaration

    [VirtualFunction(29)]
    public void *GetRaptureTeleportHistory()

##### Returns

Type | Description
--- | ---
System.Void* |

| Improve this Doc View Source

#### GetRaptureTextModule()

##### Declaration

    [VirtualFunction(6)]
    public RaptureTextModule*GetRaptureTextModule()

##### Returns

Type | Description
--- | ---
RaptureTextModule* |

| Improve this Doc View Source

#### GetRetainerTaskDataModule()

##### Declaration

    [VirtualFunction(22)]
    public void *GetRetainerTaskDataModule()

##### Returns

Type | Description
--- | ---
System.Void* |

| Improve this Doc View Source

#### GetUI3DModule()

##### Declaration

    [VirtualFunction(36)]
    public UI3DModule*GetUI3DModule()

##### Returns

Type | Description
--- | ---
UI3DModule* |

| Improve this Doc View Source

#### GetUIInputData()

##### Declaration

    [VirtualFunction(53)]
    public void *GetUIInputData()

##### Returns

Type | Description
--- | ---
System.Void* |

| Improve this Doc View Source

#### GetUIInputModule()

##### Declaration

    [VirtualFunction(54)]
    public void *GetUIInputModule()

##### Returns

Type | Description
--- | ---
System.Void* |

| Improve this Doc View Source

#### GetUiSavePackModule()

##### Declaration

    [VirtualFunction(20)]
    public void *GetUiSavePackModule()

##### Returns

Type | Description
--- | ---
System.Void* |

| Improve this Doc View Source

#### ShowAddonKillStreakForManeuvers(Int32, Int32)

##### Declaration

    [VirtualFunction(163)]
    public void ShowAddonKillStreakForManeuvers(int streak, int streakType)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | streak |
System.Int32 | streakType |

| Improve this Doc View Source

#### ShowErrorText(String, Boolean)

##### Declaration

    [VirtualFunction(152)]
    public void ShowErrorText(string text, bool forceVisible = true)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | text |
System.Boolean | forceVisible |

| Improve this Doc View Source

#### ShowGetAction(ActionType, UInt32)

##### Declaration

    [VirtualFunction(154)]
    public void ShowGetAction(ActionType actionType, uint actionId)

##### Parameters

Type | Name | Description
--- | --- | ---
ActionType | actionType |
System.UInt32 | actionId |

| Improve this Doc View Source

#### ShowGrandCompany1(UInt32, UInt32, Boolean)

##### Declaration

    [VirtualFunction(159)]
    public void ShowGrandCompany1(uint gc, uint gcRank, bool playSound = true)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | gc |
System.UInt32 | gcRank |
System.Boolean | playSound |

| Improve this Doc View Source

#### ShowImage(UInt32, Boolean, Int32, Boolean)

##### Declaration

    [VirtualFunction(147)]
    public void ShowImage(uint imageId, bool useLocalePath = false, int displayType = 0, bool playSound = false)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | imageId |
System.Boolean | useLocalePath |
System.Int32 | displayType |
System.Boolean | playSound |

| Improve this Doc View Source

#### ShowLocationTitle(Int32, Boolean, Boolean, Int32*)

##### Declaration

    [VirtualFunction(155)]
    public void ShowLocationTitle(int territoryId, bool zoomAnim, bool restartAnim, int *language)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | territoryId |
System.Boolean | zoomAnim |
System.Boolean | restartAnim |
System.Int32* | language |

| Improve this Doc View Source

#### ShowPoisonText(String, Int32)

##### Declaration

    [VirtualFunction(151)]
    public void ShowPoisonText(string text, int layer = 0)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | text |
System.Int32 | layer |

| Improve this Doc View Source

#### ShowStreak(Int32, Int32)

##### Declaration

    [VirtualFunction(162)]
    public void ShowStreak(int streak, int streakType)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | streak |
System.Int32 | streakType |

| Improve this Doc View Source

#### ShowText(Int32, String, UInt32, Boolean, UInt32, Boolean)

##### Declaration

    [VirtualFunction(148)]
    public void ShowText(int position, string text, uint iconOrCheck1 = 0U, bool playSound = true, uint iconOrCheck2 = 0U, bool alsoPlaySound = true)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | position |
System.String | text |
System.UInt32 | iconOrCheck1 |
System.Boolean | playSound |
System.UInt32 | iconOrCheck2 |
System.Boolean | alsoPlaySound |

| Improve this Doc View Source

#### ShowTextChain(Int32, Int32)

##### Declaration

    [VirtualFunction(149)]
    public void ShowTextChain(int chain, int hqChain = 0)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | chain |
System.Int32 | hqChain |

| Improve this Doc View Source

#### ShowTextClassChange(UInt32)

##### Declaration

    [VirtualFunction(153)]
    public void ShowTextClassChange(uint classJobId)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | classJobId |

| Improve this Doc View Source

#### ShowWideText(String, Int32, Boolean, Boolean, UInt32)

##### Declaration

    [VirtualFunction(150)]
    public void ShowWideText(string text, int layer = 0, bool isTop = true, bool isFast = false, uint logMessageId = 0U)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | text |
System.Int32 | layer |
System.Boolean | isTop |
System.Boolean | isFast |
System.UInt32 | logMessageId |